WordPress.org

Plugin Directory

Mailigen Widget

Add beautiful sign-up forms with ease to your site. Create a custom design and place it on your site.

1.2.6

  • Fixed bug when signup was not possible because of error You must specify a email_address value for the listSubscribe method (#-90)
  • Fixed bug when pressing Submit button loader was half way outside

1.2.5

  • Fixed bug when specific type fields (number, date, address, SMS, website, image) were not shown in the signup form.
  • Updated Mailigen API library

1.2.4

  • Fixed bug when plugin slowed down administration page if connection to Mailigen API could not be established.

1.2.3

  • Added Reset Settings button in widget settings screen to allow connection with different Mailigen user account.

1.2.2

  • Fixed bug PHP Warning: Invalid argument supplied for foreach() in /public_html/wp-content/plugins/mailigen-widget/mailigen-widget.php on line 704

1.2.1

  • Added new features (Thanks to Ted Barnett):
    • multiple subscribe form widgets allowed on one page
    • ability to hide field labels (adds labels inside text fields)

1.2.0

  • Added new features (Thanks to Ted Barnett):
    • ability to collect checkbox, dropdown, and radio fields (user must replicate values on the plugin settings separated by a comma)
    • ability to set a widget description text
    • ability to set a custom Success Message
    • ability to set an optional Redirect URL after submission
    • ability to turn off double opt-in
    • ability to turn off update existing user
    • ability to turn off send welcome email
  • Added waiting indicator when user needs to wait for a response from server after pressing subscribe button
  • Updated Mailigen API library to version 1.5

1.1.2

  • Fixed bug where the signup form was not working in non-index pages

1.1.1

  • Fixed bug when plugin could not be activated because of a fatal error Parse error: syntax error, unexpected ':' in ../wp-content/plugins/mailigen-widget/mailigen-widget.php on line 385. Shorthand form of ternary operator ?: is available starting from PHP v5.3

1.1

  • First release.

Requires: 3.0.1 or higher
Compatible up to: 4.5.3
Last Updated: 3 months ago
Active Installs: 70+

Ratings

3.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1